#ifndef THREEDSCATTERSELECT_H
#define THREEDSCATTERSELECT_H

#include <QDialog>
#include "qchartviewer.h"
#include <vector>


class ThreeDScatterSelect : public QDialog {
    Q_OBJECT
public:
    ThreeDScatterSelect(QWidget *parent = 0);
    ~ThreeDScatterSelect();

private:
    RanSeries random;
    DoubleArray xData;
    DoubleArray yData;
    DoubleArray zData;
    std::vector<bool> selected;

    QChartViewer *m_ChartViewer;
    void drawChart(QChartViewer *viewer);
    void trackLegend(SurfaceChart *c, int mouseX, int mouseY);

private slots:
    void onMouseMoveChart(QMouseEvent *event);
};

#endif // THREEDSCATTERSELECT_H
